' This class is "generated" and will be overwritten.
' Your customizations should be made in View_PersonsRecord.vb

Imports System.Data.SqlTypes
Imports BaseClasses
Imports BaseClasses.Data
Imports BaseClasses.Data.SqlProvider

Namespace Persons.Business

''' <summary>
''' The generated superclass for the <see cref="View_PersonsRecord"></see> class.
''' </summary>
''' <remarks>
''' This class is not intended to be instantiated directly.  To obtain an instance of this class, 
''' use the methods of the <see cref="View_PersonsView"></see> class.
''' </remarks>
''' <seealso cref="View_PersonsView"></seealso>
''' <seealso cref="View_PersonsRecord"></seealso>

<Serializable()> Public Class BaseView_PersonsRecord
	Inherits PrimaryKeyRecord
	

	Public Shared Shadows ReadOnly TableUtils As View_PersonsView = View_PersonsView.Instance

	' Constructors
 
	Protected Sub New()
		MyBase.New(TableUtils)
	End Sub

	Protected Sub New(ByVal record As PrimaryKeyRecord)
		MyBase.New(record, TableUtils)
	End Sub
	
	'Evaluates Initialize when->Inserting record formulas specified at the data access layer
    Public Overridable Sub View_PersonsRecord_InsertingRecord(ByVal sender As Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles Me.InsertingRecord
        'Apply Initialize->Inserting record formula only if validation is successful.
        	        Dim View_PersonsRec As View_PersonsRecord = CType(sender,View_PersonsRecord)
        Validate_Inserting()
        If Not View_PersonsRec Is Nothing AndAlso Not View_PersonsRec.IsReadOnly Then
                End If
    End Sub

	'Evaluates Initialize when->Updating record formulas specified at the data access layer
    Public Overridable Sub View_PersonsRecord_UpdatingRecord(ByVal sender As Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles Me.UpdatingRecord
        'Apply Initialize->Updating record formula only if validation is successful.
        	        Dim View_PersonsRec As View_PersonsRecord = CType(sender,View_PersonsRecord)
        Validate_Updating()
        If Not View_PersonsRec Is Nothing AndAlso Not View_PersonsRec.IsReadOnly Then
                End If
    End Sub
    
    'Evaluates Initialize when->Reading record formulas specified at the data access layer
    Public Overridable Sub View_PersonsRecord_ReadRecord(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.ReadRecord
        'Apply Initialize->Reading record formula only if validation is successful.
        	        Dim View_PersonsRec As View_PersonsRecord = CType(sender,View_PersonsRecord)
        If Not View_PersonsRec Is Nothing AndAlso Not View_PersonsRec.IsReadOnly Then
                End If
    End Sub
    
   'Evaluates Validate when->Inserting formulas specified at the data access layer
   Public Overridable Sub Validate_Inserting ()
		Dim fullValidationMessage As String = ""
		Dim validationMessage As String = ""

		dim formula as String = ""


		If validationMessage <> "" AndAlso validationMessage.ToLower() <> "true" Then
			fullValidationMessage &= validationMessage & vbCrLf
		End If

		If fullValidationMessage <> "" Then
			Throw New Exception(fullValidationMessage)
		End If 
	End Sub
	
	'Evaluates Validate when->Updating formulas specified at the data access layer
   Public Overridable Sub Validate_Updating ()
		Dim fullValidationMessage As String = ""
		Dim validationMessage As String = ""

		dim formula as String = ""


		If validationMessage <> "" AndAlso validationMessage.ToLower() <> "true" Then
			fullValidationMessage &= validationMessage & vbCrLf
		End If

		If fullValidationMessage <> "" Then
			Throw New Exception(fullValidationMessage)
		End If 
	End Sub
 
	Public Overridable Function EvaluateFormula(ByVal formula As String, Optional ByVal dataSourceForEvaluate As BaseClasses.Data.BaseRecord = Nothing, Optional ByVal format As String = Nothing) As String

		Dim e As Data.BaseFormulaEvaluator = New Data.BaseFormulaEvaluator()

            ' All variables referred to in the formula are expected to be
            ' properties of the DataSource.  For example, referring to
            ' UnitPrice as a variable will refer to DataSource.UnitPrice
            e.DataSource = dataSourceForEvaluate

            Dim resultObj As Object = e.Evaluate(formula)
            If resultObj Is Nothing Then
                Return ""
            End If
        	Return resultObj.ToString()
	End Function







#Region "Convenience methods to get/set values of fields"

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.PersonalId field.
	''' </summary>
	Public Function GetPersonalIdValue() As ColumnValue
		Return Me.GetValue(TableUtils.PersonalIdColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.PersonalId field.
	''' </summary>
	Public Function GetPersonalIdFieldValue() As String
		Return CType(Me.GetValue(TableUtils.PersonalIdColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.PersonalId field.
	''' </summary>
	Public Sub SetPersonalIdFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.PersonalIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.PersonalId field.
	''' </summary>
	Public Sub SetPersonalIdFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.PersonalIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.ArmyId field.
	''' </summary>
	Public Function GetArmyIdValue() As ColumnValue
		Return Me.GetValue(TableUtils.ArmyIdColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.ArmyId field.
	''' </summary>
	Public Function GetArmyIdFieldValue() As Byte
		Return CType(Me.GetValue(TableUtils.ArmyIdColumn).ToByte(), Byte)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.ArmyId field.
	''' </summary>
	Public Sub SetArmyIdFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.ArmyIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.ArmyId field.
	''' </summary>
	Public Sub SetArmyIdFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.ArmyIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.ArmyId field.
	''' </summary>
	Public Sub SetArmyIdFieldValue(ByVal val As Double)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.ArmyIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.ArmyId field.
	''' </summary>
	Public Sub SetArmyIdFieldValue(ByVal val As Decimal)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.ArmyIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.ArmyId field.
	''' </summary>
	Public Sub SetArmyIdFieldValue(ByVal val As Int64)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.ArmyIdColumn)
	End Sub
	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.ArmSName field.
	''' </summary>
	Public Function GetArmSNameValue() As ColumnValue
		Return Me.GetValue(TableUtils.ArmSNameColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.ArmSName field.
	''' </summary>
	Public Function GetArmSNameFieldValue() As String
		Return CType(Me.GetValue(TableUtils.ArmSNameColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.ArmSName field.
	''' </summary>
	Public Sub SetArmSNameFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.ArmSNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.ArmSName field.
	''' </summary>
	Public Sub SetArmSNameFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.ArmSNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.SectionId field.
	''' </summary>
	Public Function GetSectionIdValue() As ColumnValue
		Return Me.GetValue(TableUtils.SectionIdColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.SectionId field.
	''' </summary>
	Public Function GetSectionIdFieldValue() As Int16
		Return CType(Me.GetValue(TableUtils.SectionIdColumn).ToInt16(), Int16)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.SectionId field.
	''' </summary>
	Public Sub SetSectionIdFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.SectionIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.SectionId field.
	''' </summary>
	Public Sub SetSectionIdFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.SectionIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.SectionId field.
	''' </summary>
	Public Sub SetSectionIdFieldValue(ByVal val As Double)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.SectionIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.SectionId field.
	''' </summary>
	Public Sub SetSectionIdFieldValue(ByVal val As Decimal)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.SectionIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.SectionId field.
	''' </summary>
	Public Sub SetSectionIdFieldValue(ByVal val As Int64)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.SectionIdColumn)
	End Sub
	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.SectionAbbvrName field.
	''' </summary>
	Public Function GetSectionAbbvrNameValue() As ColumnValue
		Return Me.GetValue(TableUtils.SectionAbbvrNameColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.SectionAbbvrName field.
	''' </summary>
	Public Function GetSectionAbbvrNameFieldValue() As String
		Return CType(Me.GetValue(TableUtils.SectionAbbvrNameColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.SectionAbbvrName field.
	''' </summary>
	Public Sub SetSectionAbbvrNameFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.SectionAbbvrNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.SectionAbbvrName field.
	''' </summary>
	Public Sub SetSectionAbbvrNameFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.SectionAbbvrNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.DeptId field.
	''' </summary>
	Public Function GetDeptIdValue() As ColumnValue
		Return Me.GetValue(TableUtils.DeptIdColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.DeptId field.
	''' </summary>
	Public Function GetDeptIdFieldValue() As Int16
		Return CType(Me.GetValue(TableUtils.DeptIdColumn).ToInt16(), Int16)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.DeptId field.
	''' </summary>
	Public Sub SetDeptIdFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.DeptIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.DeptId field.
	''' </summary>
	Public Sub SetDeptIdFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.DeptIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.DeptId field.
	''' </summary>
	Public Sub SetDeptIdFieldValue(ByVal val As Double)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.DeptIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.DeptId field.
	''' </summary>
	Public Sub SetDeptIdFieldValue(ByVal val As Decimal)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.DeptIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.DeptId field.
	''' </summary>
	Public Sub SetDeptIdFieldValue(ByVal val As Int64)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.DeptIdColumn)
	End Sub
	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.DeptAbbvr field.
	''' </summary>
	Public Function GetDeptAbbvrValue() As ColumnValue
		Return Me.GetValue(TableUtils.DeptAbbvrColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.DeptAbbvr field.
	''' </summary>
	Public Function GetDeptAbbvrFieldValue() As String
		Return CType(Me.GetValue(TableUtils.DeptAbbvrColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.DeptAbbvr field.
	''' </summary>
	Public Sub SetDeptAbbvrFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.DeptAbbvrColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.DeptAbbvr field.
	''' </summary>
	Public Sub SetDeptAbbvrFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.DeptAbbvrColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.RankId field.
	''' </summary>
	Public Function GetRankIdValue() As ColumnValue
		Return Me.GetValue(TableUtils.RankIdColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.RankId field.
	''' </summary>
	Public Function GetRankIdFieldValue() As Int32
		Return CType(Me.GetValue(TableUtils.RankIdColumn).ToInt32(), Int32)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.RankId field.
	''' </summary>
	Public Sub SetRankIdFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.RankIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.RankId field.
	''' </summary>
	Public Sub SetRankIdFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.RankIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.RankId field.
	''' </summary>
	Public Sub SetRankIdFieldValue(ByVal val As Double)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.RankIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.RankId field.
	''' </summary>
	Public Sub SetRankIdFieldValue(ByVal val As Decimal)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.RankIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.RankId field.
	''' </summary>
	Public Sub SetRankIdFieldValue(ByVal val As Int64)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.RankIdColumn)
	End Sub
	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.PersonalName field.
	''' </summary>
	Public Function GetPersonalNameValue() As ColumnValue
		Return Me.GetValue(TableUtils.PersonalNameColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.PersonalName field.
	''' </summary>
	Public Function GetPersonalNameFieldValue() As String
		Return CType(Me.GetValue(TableUtils.PersonalNameColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.PersonalName field.
	''' </summary>
	Public Sub SetPersonalNameFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.PersonalNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.PersonalName field.
	''' </summary>
	Public Sub SetPersonalNameFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.PersonalNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.PersonalLastName field.
	''' </summary>
	Public Function GetPersonalLastNameValue() As ColumnValue
		Return Me.GetValue(TableUtils.PersonalLastNameColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.PersonalLastName field.
	''' </summary>
	Public Function GetPersonalLastNameFieldValue() As String
		Return CType(Me.GetValue(TableUtils.PersonalLastNameColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.PersonalLastName field.
	''' </summary>
	Public Sub SetPersonalLastNameFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.PersonalLastNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.PersonalLastName field.
	''' </summary>
	Public Sub SetPersonalLastNameFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.PersonalLastNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.BirthDate field.
	''' </summary>
	Public Function GetBirthDateValue() As ColumnValue
		Return Me.GetValue(TableUtils.BirthDateColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.BirthDate field.
	''' </summary>
	Public Function GetBirthDateFieldValue() As DateTime
		Return CType(Me.GetValue(TableUtils.BirthDateColumn).ToDateTime(), DateTime)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.BirthDate field.
	''' </summary>
	Public Sub SetBirthDateFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.BirthDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.BirthDate field.
	''' </summary>
	Public Sub SetBirthDateFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.BirthDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.BirthDate field.
	''' </summary>
	Public Sub SetBirthDateFieldValue(ByVal val As DateTime)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.BirthDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.Retire field.
	''' </summary>
	Public Function GetRetireValue() As ColumnValue
		Return Me.GetValue(TableUtils.RetireColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.Retire field.
	''' </summary>
	Public Function GetRetireFieldValue() As String
		Return CType(Me.GetValue(TableUtils.RetireColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.Retire field.
	''' </summary>
	Public Sub SetRetireFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.RetireColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.Retire field.
	''' </summary>
	Public Sub SetRetireFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.RetireColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.Commission field.
	''' </summary>
	Public Function GetCommissionValue() As ColumnValue
		Return Me.GetValue(TableUtils.CommissionColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.Commission field.
	''' </summary>
	Public Function GetCommissionFieldValue() As String
		Return CType(Me.GetValue(TableUtils.CommissionColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.Commission field.
	''' </summary>
	Public Sub SetCommissionFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.CommissionColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.Commission field.
	''' </summary>
	Public Sub SetCommissionFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.CommissionColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.Born field.
	''' </summary>
	Public Function GetBornValue() As ColumnValue
		Return Me.GetValue(TableUtils.BornColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.Born field.
	''' </summary>
	Public Function GetBornFieldValue() As String
		Return CType(Me.GetValue(TableUtils.BornColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.Born field.
	''' </summary>
	Public Sub SetBornFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.BornColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.Born field.
	''' </summary>
	Public Sub SetBornFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.BornColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.DateRank field.
	''' </summary>
	Public Function GetDateRankValue() As ColumnValue
		Return Me.GetValue(TableUtils.DateRankColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.DateRank field.
	''' </summary>
	Public Function GetDateRankFieldValue() As DateTime
		Return CType(Me.GetValue(TableUtils.DateRankColumn).ToDateTime(), DateTime)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.DateRank field.
	''' </summary>
	Public Sub SetDateRankFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.DateRankColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.DateRank field.
	''' </summary>
	Public Sub SetDateRankFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.DateRankColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.DateRank field.
	''' </summary>
	Public Sub SetDateRankFieldValue(ByVal val As DateTime)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.DateRankColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.DatePrevRank field.
	''' </summary>
	Public Function GetDatePrevRankValue() As ColumnValue
		Return Me.GetValue(TableUtils.DatePrevRankColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.DatePrevRank field.
	''' </summary>
	Public Function GetDatePrevRankFieldValue() As DateTime
		Return CType(Me.GetValue(TableUtils.DatePrevRankColumn).ToDateTime(), DateTime)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.DatePrevRank field.
	''' </summary>
	Public Sub SetDatePrevRankFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.DatePrevRankColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.DatePrevRank field.
	''' </summary>
	Public Sub SetDatePrevRankFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.DatePrevRankColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.DatePrevRank field.
	''' </summary>
	Public Sub SetDatePrevRankFieldValue(ByVal val As DateTime)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.DatePrevRankColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.BProvince field.
	''' </summary>
	Public Function GetBProvinceValue() As ColumnValue
		Return Me.GetValue(TableUtils.BProvinceColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.BProvince field.
	''' </summary>
	Public Function GetBProvinceFieldValue() As String
		Return CType(Me.GetValue(TableUtils.BProvinceColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.BProvince field.
	''' </summary>
	Public Sub SetBProvinceFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.BProvinceColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.BProvince field.
	''' </summary>
	Public Sub SetBProvinceFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.BProvinceColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.SAmout field.
	''' </summary>
	Public Function GetSAmoutValue() As ColumnValue
		Return Me.GetValue(TableUtils.SAmoutColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.SAmout field.
	''' </summary>
	Public Function GetSAmoutFieldValue() As Decimal
		Return CType(Me.GetValue(TableUtils.SAmoutColumn).ToDecimal(), Decimal)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.SAmout field.
	''' </summary>
	Public Sub SetSAmoutFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.SAmoutColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.SAmout field.
	''' </summary>
	Public Sub SetSAmoutFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.SAmoutColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.SAmout field.
	''' </summary>
	Public Sub SetSAmoutFieldValue(ByVal val As Double)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.SAmoutColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.SAmout field.
	''' </summary>
	Public Sub SetSAmoutFieldValue(ByVal val As Decimal)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.SAmoutColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.SAmout field.
	''' </summary>
	Public Sub SetSAmoutFieldValue(ByVal val As Int64)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.SAmoutColumn)
	End Sub
	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.CEdu field.
	''' </summary>
	Public Function GetCEduValue() As ColumnValue
		Return Me.GetValue(TableUtils.CEduColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.CEdu field.
	''' </summary>
	Public Function GetCEduFieldValue() As String
		Return CType(Me.GetValue(TableUtils.CEduColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.CEdu field.
	''' </summary>
	Public Sub SetCEduFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.CEduColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.CEdu field.
	''' </summary>
	Public Sub SetCEduFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.CEduColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.MobilePhone field.
	''' </summary>
	Public Function GetMobilePhoneValue() As ColumnValue
		Return Me.GetValue(TableUtils.MobilePhoneColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.MobilePhone field.
	''' </summary>
	Public Function GetMobilePhoneFieldValue() As String
		Return CType(Me.GetValue(TableUtils.MobilePhoneColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.MobilePhone field.
	''' </summary>
	Public Sub SetMobilePhoneFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.MobilePhoneColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.MobilePhone field.
	''' </summary>
	Public Sub SetMobilePhoneFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.MobilePhoneColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.picture field.
	''' </summary>
	Public Function GetpictureValue() As ColumnValue
		Return Me.GetValue(TableUtils.pictureColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.picture field.
	''' </summary>
	Public Function GetpictureFieldValue() As Byte()
		Return CType(Me.GetValue(TableUtils.pictureColumn).ToBinary(), Byte())
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.picture field.
	''' </summary>
	Public Sub SetpictureFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.pictureColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.picture field.
	''' </summary>
	Public Sub SetpictureFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.pictureColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.picture field.
	''' </summary>
	Public Sub SetpictureFieldValue(ByVal val As Byte ())
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.pictureColumn)
	End Sub
	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.RankDate field.
	''' </summary>
	Public Function GetRankDateValue() As ColumnValue
		Return Me.GetValue(TableUtils.RankDateColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.RankDate field.
	''' </summary>
	Public Function GetRankDateFieldValue() As DateTime
		Return CType(Me.GetValue(TableUtils.RankDateColumn).ToDateTime(), DateTime)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.RankDate field.
	''' </summary>
	Public Sub SetRankDateFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.RankDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.RankDate field.
	''' </summary>
	Public Sub SetRankDateFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.RankDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.RankDate field.
	''' </summary>
	Public Sub SetRankDateFieldValue(ByVal val As DateTime)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.RankDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.Title field.
	''' </summary>
	Public Function GetTitleValue() As ColumnValue
		Return Me.GetValue(TableUtils.TitleColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.Title field.
	''' </summary>
	Public Function GetTitleFieldValue() As String
		Return CType(Me.GetValue(TableUtils.TitleColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.Title field.
	''' </summary>
	Public Sub SetTitleFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.TitleColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.Title field.
	''' </summary>
	Public Sub SetTitleFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.TitleColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.RankLevel field.
	''' </summary>
	Public Function GetRankLevelValue() As ColumnValue
		Return Me.GetValue(TableUtils.RankLevelColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.RankLevel field.
	''' </summary>
	Public Function GetRankLevelFieldValue() As Int32
		Return CType(Me.GetValue(TableUtils.RankLevelColumn).ToInt32(), Int32)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.RankLevel field.
	''' </summary>
	Public Sub SetRankLevelFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.RankLevelColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.RankLevel field.
	''' </summary>
	Public Sub SetRankLevelFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.RankLevelColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.RankLevel field.
	''' </summary>
	Public Sub SetRankLevelFieldValue(ByVal val As Double)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.RankLevelColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.RankLevel field.
	''' </summary>
	Public Sub SetRankLevelFieldValue(ByVal val As Decimal)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.RankLevelColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.RankLevel field.
	''' </summary>
	Public Sub SetRankLevelFieldValue(ByVal val As Int64)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.RankLevelColumn)
	End Sub
	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.RankAndName field.
	''' </summary>
	Public Function GetRankAndNameValue() As ColumnValue
		Return Me.GetValue(TableUtils.RankAndNameColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_Persons_.RankAndName field.
	''' </summary>
	Public Function GetRankAndNameFieldValue() As String
		Return CType(Me.GetValue(TableUtils.RankAndNameColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.RankAndName field.
	''' </summary>
	Public Sub SetRankAndNameFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.RankAndNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_Persons_.RankAndName field.
	''' </summary>
	Public Sub SetRankAndNameFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.RankAndNameColumn)
	End Sub



#End Region

#Region "Convenience methods to get field names"

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_Persons_.PersonalId field.
	''' </summary>
	Public Property PersonalId() As String
		Get 
			Return CType(Me.GetValue(TableUtils.PersonalIdColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.PersonalIdColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property PersonalIdSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.PersonalIdColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property PersonalIdDefault() As String
        Get
            Return TableUtils.PersonalIdColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_Persons_.ArmyId field.
	''' </summary>
	Public Property ArmyId() As Byte
		Get 
			Return CType(Me.GetValue(TableUtils.ArmyIdColumn).ToByte(), Byte)
		End Get
		Set (ByVal val As Byte) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.ArmyIdColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property ArmyIdSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.ArmyIdColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property ArmyIdDefault() As String
        Get
            Return TableUtils.ArmyIdColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_Persons_.ArmSName field.
	''' </summary>
	Public Property ArmSName() As String
		Get 
			Return CType(Me.GetValue(TableUtils.ArmSNameColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.ArmSNameColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property ArmSNameSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.ArmSNameColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property ArmSNameDefault() As String
        Get
            Return TableUtils.ArmSNameColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_Persons_.SectionId field.
	''' </summary>
	Public Property SectionId() As Int16
		Get 
			Return CType(Me.GetValue(TableUtils.SectionIdColumn).ToInt16(), Int16)
		End Get
		Set (ByVal val As Int16) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.SectionIdColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property SectionIdSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.SectionIdColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property SectionIdDefault() As String
        Get
            Return TableUtils.SectionIdColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_Persons_.SectionAbbvrName field.
	''' </summary>
	Public Property SectionAbbvrName() As String
		Get 
			Return CType(Me.GetValue(TableUtils.SectionAbbvrNameColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.SectionAbbvrNameColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property SectionAbbvrNameSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.SectionAbbvrNameColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property SectionAbbvrNameDefault() As String
        Get
            Return TableUtils.SectionAbbvrNameColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_Persons_.DeptId field.
	''' </summary>
	Public Property DeptId() As Int16
		Get 
			Return CType(Me.GetValue(TableUtils.DeptIdColumn).ToInt16(), Int16)
		End Get
		Set (ByVal val As Int16) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.DeptIdColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property DeptIdSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.DeptIdColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property DeptIdDefault() As String
        Get
            Return TableUtils.DeptIdColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_Persons_.DeptAbbvr field.
	''' </summary>
	Public Property DeptAbbvr() As String
		Get 
			Return CType(Me.GetValue(TableUtils.DeptAbbvrColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.DeptAbbvrColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property DeptAbbvrSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.DeptAbbvrColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property DeptAbbvrDefault() As String
        Get
            Return TableUtils.DeptAbbvrColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_Persons_.RankId field.
	''' </summary>
	Public Property RankId() As Int32
		Get 
			Return CType(Me.GetValue(TableUtils.RankIdColumn).ToInt32(), Int32)
		End Get
		Set (ByVal val As Int32) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.RankIdColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property RankIdSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.RankIdColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property RankIdDefault() As String
        Get
            Return TableUtils.RankIdColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_Persons_.PersonalName field.
	''' </summary>
	Public Property PersonalName() As String
		Get 
			Return CType(Me.GetValue(TableUtils.PersonalNameColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.PersonalNameColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property PersonalNameSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.PersonalNameColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property PersonalNameDefault() As String
        Get
            Return TableUtils.PersonalNameColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_Persons_.PersonalLastName field.
	''' </summary>
	Public Property PersonalLastName() As String
		Get 
			Return CType(Me.GetValue(TableUtils.PersonalLastNameColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.PersonalLastNameColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property PersonalLastNameSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.PersonalLastNameColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property PersonalLastNameDefault() As String
        Get
            Return TableUtils.PersonalLastNameColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_Persons_.BirthDate field.
	''' </summary>
	Public Property BirthDate() As DateTime
		Get 
			Return CType(Me.GetValue(TableUtils.BirthDateColumn).ToDateTime(), DateTime)
		End Get
		Set (ByVal val As DateTime) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.BirthDateColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property BirthDateSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.BirthDateColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property BirthDateDefault() As String
        Get
            Return TableUtils.BirthDateColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_Persons_.Retire field.
	''' </summary>
	Public Property Retire() As String
		Get 
			Return CType(Me.GetValue(TableUtils.RetireColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.RetireColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property RetireSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.RetireColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property RetireDefault() As String
        Get
            Return TableUtils.RetireColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_Persons_.Commission field.
	''' </summary>
	Public Property Commission() As String
		Get 
			Return CType(Me.GetValue(TableUtils.CommissionColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.CommissionColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property CommissionSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.CommissionColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property CommissionDefault() As String
        Get
            Return TableUtils.CommissionColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_Persons_.Born field.
	''' </summary>
	Public Property Born() As String
		Get 
			Return CType(Me.GetValue(TableUtils.BornColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.BornColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property BornSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.BornColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property BornDefault() As String
        Get
            Return TableUtils.BornColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_Persons_.DateRank field.
	''' </summary>
	Public Property DateRank() As DateTime
		Get 
			Return CType(Me.GetValue(TableUtils.DateRankColumn).ToDateTime(), DateTime)
		End Get
		Set (ByVal val As DateTime) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.DateRankColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property DateRankSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.DateRankColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property DateRankDefault() As String
        Get
            Return TableUtils.DateRankColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_Persons_.DatePrevRank field.
	''' </summary>
	Public Property DatePrevRank() As DateTime
		Get 
			Return CType(Me.GetValue(TableUtils.DatePrevRankColumn).ToDateTime(), DateTime)
		End Get
		Set (ByVal val As DateTime) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.DatePrevRankColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property DatePrevRankSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.DatePrevRankColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property DatePrevRankDefault() As String
        Get
            Return TableUtils.DatePrevRankColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_Persons_.BProvince field.
	''' </summary>
	Public Property BProvince() As String
		Get 
			Return CType(Me.GetValue(TableUtils.BProvinceColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.BProvinceColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property BProvinceSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.BProvinceColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property BProvinceDefault() As String
        Get
            Return TableUtils.BProvinceColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_Persons_.SAmout field.
	''' </summary>
	Public Property SAmout() As Decimal
		Get 
			Return CType(Me.GetValue(TableUtils.SAmoutColumn).ToDecimal(), Decimal)
		End Get
		Set (ByVal val As Decimal) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.SAmoutColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property SAmoutSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.SAmoutColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property SAmoutDefault() As String
        Get
            Return TableUtils.SAmoutColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_Persons_.CEdu field.
	''' </summary>
	Public Property CEdu() As String
		Get 
			Return CType(Me.GetValue(TableUtils.CEduColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.CEduColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property CEduSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.CEduColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property CEduDefault() As String
        Get
            Return TableUtils.CEduColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_Persons_.MobilePhone field.
	''' </summary>
	Public Property MobilePhone() As String
		Get 
			Return CType(Me.GetValue(TableUtils.MobilePhoneColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.MobilePhoneColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property MobilePhoneSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.MobilePhoneColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property MobilePhoneDefault() As String
        Get
            Return TableUtils.MobilePhoneColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_Persons_.picture field.
	''' </summary>
	Public Property picture() As Byte()
		Get 
			Return CType(Me.GetValue(TableUtils.pictureColumn).ToBinary(), Byte())
		End Get
		Set (ByVal val As Byte ()) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.pictureColumn)
		End Set
	End Property



	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property pictureSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.pictureColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property pictureDefault() As String
        Get
            Return TableUtils.pictureColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_Persons_.RankDate field.
	''' </summary>
	Public Property RankDate() As DateTime
		Get 
			Return CType(Me.GetValue(TableUtils.RankDateColumn).ToDateTime(), DateTime)
		End Get
		Set (ByVal val As DateTime) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.RankDateColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property RankDateSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.RankDateColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property RankDateDefault() As String
        Get
            Return TableUtils.RankDateColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_Persons_.Title field.
	''' </summary>
	Public Property Title() As String
		Get 
			Return CType(Me.GetValue(TableUtils.TitleColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.TitleColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property TitleSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.TitleColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property TitleDefault() As String
        Get
            Return TableUtils.TitleColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_Persons_.RankLevel field.
	''' </summary>
	Public Property RankLevel() As Int32
		Get 
			Return CType(Me.GetValue(TableUtils.RankLevelColumn).ToInt32(), Int32)
		End Get
		Set (ByVal val As Int32) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.RankLevelColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property RankLevelSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.RankLevelColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property RankLevelDefault() As String
        Get
            Return TableUtils.RankLevelColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_Persons_.RankAndName field.
	''' </summary>
	Public Property RankAndName() As String
		Get 
			Return CType(Me.GetValue(TableUtils.RankAndNameColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.RankAndNameColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property RankAndNameSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.RankAndNameColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property RankAndNameDefault() As String
        Get
            Return TableUtils.RankAndNameColumn.DefaultValue
        End Get
    End Property



#End Region

End Class
End Namespace
